#include "main.h"
#include "stm32f10x_gpio.h"
#include "stm32f10x_rcc.h"

int main()
{
    // enable GPIOC port
    RCC->APB2ENR |= RCC_APB2Periph_GPIOC;
    // --- GPIO setup ----
    GPIOC->CRH &= ~(uint32_t)(0xf<<20);     // Blue Led
    GPIOC->CRH |=  (uint32_t)(0x2<<20);     // Blue Led
    GPIOC->BSRR=Blue_LED;                   // Blue Led
/*
    GPIOC->CRL &= ~(uint32_t)(0xf<<4);      // Green Led
    GPIOC->CRL |=  (uint32_t)(0x2<<4);      // Green Led
    GPIOC->BSRR=Green_LED;                  // Green Led

    GPIOC->CRL &= ~(uint32_t)(0xf<<12);     // Yellow Led
    GPIOC->CRL |=  (uint32_t)(0x2<<12);     // Yellow Led
    GPIOC->BSRR=Yellow_LED;                 // Green Led
*/    // ------- SysTick CONFIG --------------
    if (SysTick_Config(72000)) // set 1ms
    {
        while(1); // error
    }
    //////////////////////////////////////
    /// let's go.....
    /////////////////////////////////////

    for(;;){
        GPIOC->BSRR=Blue_LED;              // Turn Off
        delay_ms(1000);
        GPIOC->BRR=Blue_LED;               // Turn On
        delay_ms(1000);
    }
}
